Subject: ‘guix system image’ chokes on host's /var

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Sun, 20 Mar 2022 20:26:51 +0100

Guix,

I can't build the older installer image I want, ostensibly because my 
installed system is too new (anno-post-apteryx-versioning; no time to 
further investigate I'm afraid).

I expect a self-contained system not to care and certainly not to crash.

~/guix ⌥  v1.3.0-15828-gd5b4ca4445 λ ./pre-inst-env guix system image -t 
iso9660 gnu/system/install.scm
guix system: warning: unrecognized boot parameters at 
'/var/guix/profiles/system-8-link/parameters'
Backtrace:
In ice-9/boot-9.scm:
     152:2 19 (with-fluid* _ _ _)
In unknown file:
           18 (_ #<procedure 72f633d9b280 at ice-9/eval.scm:330:13 ()> 
#<procedure 72f633d9b100 at ice-9/eval…> …)
In ice-9/boot-9.scm:
     152:2 17 (with-fluid* _ _ _)
     724:2 16 (call-with-prompt _ _ #<procedure 72f633e2b4e0 at 
ice-9/eval.scm:386:13 (a . rest)>)
     152:2 15 (with-fluid* _ _ _)
     152:2 14 (with-fluid* _ _ _)
     152:2 13 (with-fluid* _ _ _)
In unknown file:
           12 (_ #<procedure 72f62714bc40 at ice-9/eval.scm:330:13 ()> 
#<procedure 72f62714bbe0 at ice-9/eval…> …)
In ice-9/eval.scm:
    191:27 11 (_ #(#(#<directory (guix scripts system) 72f63f196140> 
#<procedure 72f627144340 at ice-9/ev…>) …))
     619:8 10 (_ #(#(#(#<directory (guix scripts system) 72f63f196140>) 
image #<<image> name: #f format:…> …) …))
    626:19  9 (_ #(#(#(#<directory (guix scripts system) 72f63f196140>) 
image #<<image> name: #f format:…> …) …))
     159:9  8 (_ #(#(#(#<directory (guix scripts system) 72f63f196140>) 
image #<<image> name: #f format:…> …) …))
In srfi/srfi-1.scm:
    699:23  7 (filter-map #<procedure system->boot-parameters (a b c)> _ 
. _)
In ice-9/boot-9.scm:
   1747:15  6 (with-exception-handler #<procedure 72f622ab1ba0 at 
ice-9/boot-9.scm:1831:7 (exn)> _ #:unwind? _ …)
In ice-9/eval.scm:
    293:34  5 (_ #(#(#<directory (guix scripts system) 72f63f196140> 
"/var/guix/profiles/system-8-link" 8 #)))
    293:34  4 (_ #(#(#(#(#<directory (gnu system) 72f635df43c0>) 
"/var/guix/profiles/system-8-link") "/va…") #))
     263:9  3 (_ #(#(#<directory (gnu system) 72f635df43c0>) #f))
     155:9  2 (_ _)
In ice-9/boot-9.scm:
   1685:16  1 (raise-exception _ #:continuable? _)
   1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
In procedure struct-vtable: Wrong type argument in position 1 (expecting 
struct): #f

Kind regards,

T G-R

Sent from a Web browser.  Excuse or enjoy my brevity.